Bug 150461 - broken printf format
broken printf format
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 04:55 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-10 03:40:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-03-07 04:55:38 EST
Description of problem:

I just tried to compile wv-1.0.0-3 from Redhat Fedora Extras development
tree.

The compiler said

wvWare.c:1247: warning: repeated `-' flag in format
wvWare.c:1247: warning: repeated ` ' flag in format
wvWare.c:1247: warning: conversion lacks type at end of format

The source code is

          printf ("\n\\resizebox{%dpt}{%dpt}\
                  {\\includegraphics{%s.eps}}\
                  \n% -- %#.2x graphic -- \n", width, height, source,
graphicstype);

On the third line, suggest use %% for %. 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Schwendt 2005-05-10 03:40:41 EDT
Applied in CVS (devel). It's supposed to be a LaTeX comment.

Note You need to log in before you can comment on or make changes to this bug.